<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
    <meta name="GENERATOR" content="Quadralay WebWorks Publisher Professional Edition 6.0.7" />
    <meta name="TEMPLATEBASE" content="DataDirect WWH 2.0" />
    <meta name="LASTUPDATED" content="09/05/02 10:39:58" />
    <title>jdbcsupp8.html</title>
    <link rel="StyleSheet" href="document.css" type="text/css" media="screen" />
  </head>

  <body>
    <script type="text/javascript" language="JavaScript">
     <!--
      function  WWHUpdateFavorite(ParamHREF)
      {
        if ((parent != null) &&
            (parent.WWHelpFrameSet != null))
        {
          parent.WWHelpFrameSet.fUpdateFavorite(ParamHREF);
        }
      }

      function  WWHSyncTOC(ParamHREF)
      {
        if ((parent != null) &&
            (parent.WWHelpFrameSet != null))
        {
          parent.WWHelpFrameSet.fSyncTOC(ParamHREF);
        }
      }

      function  WWHShowPopup(ParamContext,
                             ParamLink,
                             ParamEvent)
      {
        if ((parent != null) &&
            (parent.WWHelpFrameSet != null))
        {
          parent.WWHelpFrameSet.fShowPopup(ParamContext, ParamLink, ParamEvent);
        }
      }

      function  WWHHidePopup()
      {
        if ((parent != null) &&
            (parent.WWHelpFrameSet != null))
        {
          parent.WWHelpFrameSet.fHidePopup();
        }
      }

      function  WWHClickedPopup(ParamContext,
                                ParamLink)
      {
        if ((parent != null) &&
            (parent.WWHelpFrameSet != null))
        {
          location.href = parent.WWHelpFrameSet.fClickedPopup(ParamContext, ParamLink);
        }
      }
     // -->
    </script>

    <script type="text/javascript" language="JavaScript">
     <!--
      var  WWHelpHREF = location.href;


      WWHUpdateFavorite(WWHelpHREF);
     // -->
    </script>

    <blockquote>
<h2 id="544781" class="NewHTMLPage">
  <a name="544781"> </a>
</h2><hr />
<p id="541985" class="Body">
  <a name="541985"> </a>

<table border="1" cellpadding="5" cellspacing="0">
  <caption></caption>
  <tr bgcolor="#FFFFFF" valign="bottom">
    <th><h4 id="541955" class="Heading3">
  <a name="541955"> </a>Driver Object  
</h4>
<a name="541961"> </a><div id="541961" class="CellHeading">Methods</div></th>
    <th><a name="541965"> </a><div id="541965" class="CellHeading">Version</div><a name="541966"> </a><div id="541966" class="CellHeading">Introduced</div></th>
    <th><a name="541970"> </a><div id="541970" class="CellHeading"><br /></div><a name="541971"> </a><div id="541971" class="CellHeading">Supported</div></th>
    <th><a name="541975"> </a><div id="541975" class="CellHeading"><br /></div><a name="541976"> </a><div id="541976" class="CellHeading">Comments</div></th>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="542035"> </a><div id="542035" class="CellBody">boolean acceptsURL (String) </div></td>
    <td bgcolor="#E6E6E6"><a name="542037"> </a><div id="542037" class="CellBody">1.0 </div></td>
    <td bgcolor="#E6E6E6"><a name="542039"> </a><div id="542039" class="CellBody">Yes </div></td>
    <td bgcolor="#E6E6E6"><a name="542041"> </a><div id="542041" class="CellBody"> </div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="542027"> </a><div id="542027" class="CellBody">Connection connect (String, Properties) </div></td>
    <td bgcolor="#E6E6E6"><a name="542029"> </a><div id="542029" class="CellBody">1.0 </div></td>
    <td bgcolor="#E6E6E6"><a name="542031"> </a><div id="542031" class="CellBody">Yes </div></td>
    <td bgcolor="#E6E6E6"><a name="542033"> </a><div id="542033" class="CellBody"> </div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="542019"> </a><div id="542019" class="CellBody">int getMajorVersion () </div></td>
    <td bgcolor="#E6E6E6"><a name="542021"> </a><div id="542021" class="CellBody">1.0 </div></td>
    <td bgcolor="#E6E6E6"><a name="542023"> </a><div id="542023" class="CellBody">Yes </div></td>
    <td bgcolor="#E6E6E6"><a name="542025"> </a><div id="542025" class="CellBody"> </div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="542011"> </a><div id="542011" class="CellBody">int getMinorVersion () </div></td>
    <td bgcolor="#E6E6E6"><a name="542013"> </a><div id="542013" class="CellBody">1.0 </div></td>
    <td bgcolor="#E6E6E6"><a name="542015"> </a><div id="542015" class="CellBody">Yes </div></td>
    <td bgcolor="#E6E6E6"><a name="542017"> </a><div id="542017" class="CellBody"><br /></div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="542003"> </a><div id="542003" class="CellBody">DriverPropertyInfo [] getPropertyInfo (String, Properties) </div></td>
    <td bgcolor="#E6E6E6"><a name="542005"> </a><div id="542005" class="CellBody">1.0 </div></td>
    <td bgcolor="#E6E6E6"><a name="542007"> </a><div id="542007" class="CellBody">Yes </div></td>
    <td bgcolor="#E6E6E6"><a name="542009"> </a><div id="542009" class="CellBody"><br /></div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="541995"> </a><div id="541995" class="CellBody">boolean jdbcCompliant () </div></td>
    <td bgcolor="#E6E6E6"><a name="541997"> </a><div id="541997" class="CellBody">1.0 </div></td>
    <td bgcolor="#E6E6E6"><a name="541999"> </a><div id="541999" class="CellBody">Yes </div></td>
    <td bgcolor="#E6E6E6"><a name="542001"> </a><div id="542001" class="CellBody"><br /></div></td>
  </tr>
</table>




</p>
<p id="542052" class="Body">
  <a name="542052"> </a>
</p>
<p id="542085" class="Body">
  <a name="542085"> </a>

<table border="1" cellpadding="5" cellspacing="0">
  <caption></caption>
  <tr bgcolor="#FFFFFF" valign="bottom">
    <th><h4 id="542055" class="Heading3">
  <a name="542055"> </a>PooledConnection Object 
</h4>
<h4 id="552971" class="Heading3">
  <a name="552971"> </a> 
</h4>
<a name="542061"> </a><div id="542061" class="CellHeading">Methods</div></th>
    <th><a name="542065"> </a><div id="542065" class="CellHeading"><br /></div><a name="552972"> </a><div id="552972" class="CellHeading">Version</div><a name="542066"> </a><div id="542066" class="CellHeading">Introduced</div></th>
    <th><a name="542070"> </a><div id="542070" class="CellHeading"><br /></div><a name="552973"> </a><div id="552973" class="CellHeading"><br /></div><a name="542071"> </a><div id="542071" class="CellHeading">Supported</div></th>
    <th><a name="542075"> </a><div id="542075" class="CellHeading"><br /></div><a name="552974"> </a><div id="552974" class="CellHeading"><br /></div><a name="542076"> </a><div id="542076" class="CellHeading">Comments</div></th>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="542133"> </a><div id="542133" class="CellBody">void addConnectionEventListener (ConnectionEventListener)</div></td>
    <td bgcolor="#E6E6E6"><a name="542135"> </a><div id="542135" class="CellBody">2.0 Optional</div></td>
    <td bgcolor="#E6E6E6"><a name="542137"> </a><div id="542137" class="CellBody">Yes</div></td>
    <td bgcolor="#E6E6E6"><a name="542139"> </a><div id="542139" class="CellBody"><br /></div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="542125"> </a><div id="542125" class="CellBody">void close()</div></td>
    <td bgcolor="#E6E6E6"><a name="542127"> </a><div id="542127" class="CellBody">2.0 Optional</div></td>
    <td bgcolor="#E6E6E6"><a name="542129"> </a><div id="542129" class="CellBody">Yes</div></td>
    <td bgcolor="#E6E6E6"><a name="542131"> </a><div id="542131" class="CellBody"><br /></div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="542105"> </a><div id="542105" class="CellBody">Connection getConnection()</div></td>
    <td bgcolor="#E6E6E6"><a name="542107"> </a><div id="542107" class="CellBody">2.0 Optional</div></td>
    <td bgcolor="#E6E6E6"><a name="542109"> </a><div id="542109" class="CellBody">Yes</div></td>
    <td bgcolor="#E6E6E6"><a name="542111"> </a><div id="542111" class="CellBody">A particular PooledConnection object can have only one Connection object open, and that is the one most recently created. The purpose of allowing the server (PoolManager implementation) to invoke the method getConnection a second time is to give that application server a way to take a connection away from an application and give it to someone else. This is rare, but the capability is there. The driver does not support this "reclaiming" of connections and will throw a SQLException "Reclaim of open connection is not supported."</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="542097"> </a><div id="542097" class="CellBody">void removeConnectionEvent<br />Listener (ConnectionEventListener)</div></td>
    <td bgcolor="#E6E6E6"><a name="542099"> </a><div id="542099" class="CellBody">2.0 Optional</div></td>
    <td bgcolor="#E6E6E6"><a name="542101"> </a><div id="542101" class="CellBody">Yes</div></td>
    <td bgcolor="#E6E6E6"><a name="542103"> </a><div id="542103" class="CellBody"><br /></div></td>
  </tr>
</table>




</p>
<p id="542151" class="Body">
  <a name="542151"> </a>
</p>
    </blockquote>

    <hr />

    <table border="0">
      <tr>
        <td width="23">
<a href="jdbcsupp7.html">
      <img alt="Previous Document" border="0" src="images/prev.gif" width="23" height="21" />
    </a>
        </td>
        <td width="23" class="CellBody">
        Previous Page       
        </td>
        <td width="23">
<a href="jdbcsupp9.html">
      <img alt="Next Document" border="0" src="images/next.gif" width="23" height="21" />
    </a>
        </td>
        <td width="23" class="CellBody">
        Next Page       
        </td>
        <td width="23">
          <a href="javascript:WWHSyncTOC(WWHelpHREF);">
            <img alt="Synchronize TOC" border="0" src="images/sync.gif" width="23" height="21" />
          </a>
        </td>
        <td width="120" class="CellBody">
        Synchronize with Contents
        </td>
      </tr>
    </table>

   <div id="WWHelpPopupDIV" style="position: absolute ; z-index: 1 ; visibility: hidden ; top: 0px ; left: 0px">
    <script type="text/javascript" language="JavaScript">
     <!--
      if ((parent != null) &&
          (parent.WWHelpFrameSet != null))
      {
        if (document.all != null)  // Non-Netscape browser
        {
          document.writeln(parent.WWHelpFrameSet.mPopup.fFormat("Popup"));
        }
      }
     // -->
    </script>
   </div>
  </body>
</html>
